## ros-kinetic-kobuki-capabilities 0.7.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(kobuki_capabilities)

find_package(catkin REQUIRED)

catkin_package()

install(DIRECTORY interfaces DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})
install(DIRECTORY providers DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-kinetic-kobuki-capabilities (0.7.6-0xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 15 Mar 2018 03:03:35 -0000

ros-kinetic-kobuki-capabilities (0.6.6-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Wed, 27 May 2015 04:00:00 -0000

ros-kinetic-kobuki-capabilities (0.6.5-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 21 Nov 2014 05:00:00 -0000

ros-kinetic-kobuki-capabilities (0.6.4-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 26 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-capabilities (0.6.3-0xenial) xenial; urgency=high

  * rename kobuki_apps as kobuki_rapps to resolve #336 <https://github.com/yujinrobot/kobuki/issues/336>
  * Contributors: Jihoon Lee

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 25 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-capabilities (0.6.2-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 11 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-capabilities (0.6.1-0xenial) xenial; urgency=high

  * sync with current app manager launcher. default kobuki capabilities param file added
  * Contributors: Jihoon Lee

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 08 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-capabilities (0.6.0-0xenial) xenial; urgency=high

  * moves app manager launcher to kobuki_capabilities (solves #331 <https://github.com/yujinrobot/kobuki/issues/331>)
  * kobuki_capabilities: adds nodelet manager support for bringup provider
  * updates and extends kobuki's capabilities
  * adds cleanup and updates for the recent changes in capabilities dev
  * kobuki_capabilities: adds provider specific remappings and fixes
    semantic interface remappings
  * adds an initial set of kobuki-specific interfaces and providers plus idle node
  * adds kobuki_capabilities
  * Contributors: Jihoon Lee, Marcus Liebhardt
  * moves app manager launcher to kobuki_capabilities (solves #331 <https://github.com/yujinrobot/kobuki/issues/331>)
  * kobuki_capabilities: adds nodelet manager support for bringup provider
  * updates and extends kobuki's capabilities
  * adds cleanup and updates for the recent changes in capabilities dev
  * kobuki_capabilities: adds provider specific remappings and fixes
    semantic interface remappings
  * adds an initial set of kobuki-specific interfaces and providers plus idle node
  * adds kobuki_capabilities
  * Contributors: Marcus Liebhardt

 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 08 Aug 2014 04:00:00 -0000

ros-kinetic-kobuki-capabilities (0.5.6-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 23 May 2014 04:00:00 -0000

ros-kinetic-kobuki-capabilities (0.5.5-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 11 Oct 2013 04:00:00 -0000

ros-kinetic-kobuki-capabilities (0.5.4-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Wed, 11 Sep 2013 04:00:00 -0000

ros-kinetic-kobuki-capabilities (0.5.3-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 30 Aug 2013 16:30:00 -0000

ros-kinetic-kobuki-capabilities (0.5.2-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 30 Aug 2013 05:44:00 -0000

ros-kinetic-kobuki-capabilities (0.5.1-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 30 Aug 2013 05:43:00 -0000

ros-kinetic-kobuki-capabilities (0.5.0-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 29 Aug 2013 04:00:00 -0000

ros-kinetic-kobuki-capabilities (0.4.0-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 09 Aug 2013 04:00:00 -0000

ros-kinetic-kobuki-capabilities (0.3.9-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 04 Jun 2013 04:00:00 -0000

ros-kinetic-kobuki-capabilities (0.3.8-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Wed, 22 May 2013 04:00:00 -0000

ros-kinetic-kobuki-capabilities (0.3.7-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 16 Apr 2013 04:00:00 -0000

ros-kinetic-kobuki-capabilities (0.3.6-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Thu, 28 Feb 2013 05:00:00 -0000

ros-kinetic-kobuki-capabilities (0.3.5-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Tue, 19 Feb 2013 05:00:00 -0000

ros-kinetic-kobuki-capabilities (0.3.4-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sun, 10 Feb 2013 18:29:00 -0000

ros-kinetic-kobuki-capabilities (0.3.3-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sun, 10 Feb 2013 05:19:00 -0000

ros-kinetic-kobuki-capabilities (0.3.2-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Sat, 09 Feb 2013 04:31:00 -0000

ros-kinetic-kobuki-capabilities (0.3.1-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Fri, 08 Feb 2013 22:28:00 -0000

ros-kinetic-kobuki-capabilities (0.2.4-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Mon, 21 Jan 2013 05:00:00 -0000

ros-kinetic-kobuki-capabilities (0.2.3-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Wed, 16 Jan 2013 05:00:00 -0000

ros-kinetic-kobuki-capabilities (0.2.2-0xenial) xenial; urgency=high



 -- Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>  Wed, 02 Jan 2013 05:00:00 -0000



=== debian/control ===
Source: ros-kinetic-kobuki-capabilities
Section: misc
Priority: extra
Maintainer: Marcus Liebhardt <marcus.liebhardt@yujinrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://ros.org/wiki/kobuki_capabilities
Standards-Version: 3.9.2

Package: ros-kinetic-kobuki-capabilities
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-kobuki-node, ros-kinetic-nodelet, ros-kinetic-rocon-app-manager, ros-kinetic-rocon-apps, ros-kinetic-std-capabilities
Description: Kobuki's capabilities

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-kobuki-capabilities//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
